Summary:        A C++ application logging library
Name:           glog
Version:        0.3.5
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/google/glog
Source0:        https://github.com/google/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++ gcc autoconf make
BuildRequires:  gflags-devel >= 2.1.0
Requires:       gflags
Requires:       gflags-devel >= 2.1.0

%description
Google glog is a library that implements application-level
logging. This library provides logging APIs based on C++-style
streams and various helper macros.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
export CXXFLAGS="-std=c++14 %{optflags}"
autoconf
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}/%{_docdir}/%{name}-%{version}

%files
%license COPYING
%doc ChangeLog README
%{_libdir}/libglog.so.*

%files devel
%doc doc/designstyle.css doc/glog.html
%{_libdir}/libglog.so
%{_libdir}/pkgconfig/libglog.pc
%dir %{_includedir}/glog
%{_includedir}/glog/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-2
- Rebuilt for OpenCloudOS Stream 23

* Sun Dec 18 2022 Miaojun Dong <zoedong@tencent.com> - 0.3.5-1
- initial build
